#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library of graphics routines used by libgnomecanvas
Summary(pl.UTF-8):	Biblioteka funkcji graficznych używanych przez libgnomecanvas
Name:		libart_lgpl
Version:	2.3.21
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/%{name}-%{version}.tar.bz2
# Source0-md5:	08559ff3c67fd95d57b0c5e91a6b4302
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	libtool
Obsoletes:	libart_lgpl2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphics routines used by the GnomeCanvas widget and some other
applications. libart renders vector paths and the like.

%description -l pl.UTF-8
Funkcje graficzne używane przez widget GnomeCanvas i trochę innych
aplikacji. libart renderuje ścieżki wektorów i tym podobne.

%package devel
Summary:	Headers for libart_lgpl
Summary(pl.UTF-8):	Pliki nagłowkowe libart_lgpl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libart_lgpl2-devel
Conflicts:	gnome-libs-devel < 1.4.1.2

%description devel
Header files for libart_lgpl.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki libart_lgpl.

%package static
Summary:	Static libart_lgpl library
Summary(pl.UTF-8):	Statyczna biblioteka libart_lgpl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	gnome-libs-static < 1.4.1.2

%description static
Static version of libart_lgpl library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libart_lgpl.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libart_lgpl_2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libart_lgpl_2.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libart2-config
%attr(755,root,root) %{_libdir}/libart_lgpl_2.so
%{_libdir}/libart_lgpl_2.la
%{_includedir}/libart-2.0
%{_pkgconfigdir}/libart-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libart_lgpl_2.a
%endif
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libart_lgpl.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ac11e67
- x32 rebuild
- release 4 (by relup.sh)

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 2d7e965
- release 3: rebuild to get pkgconfig() cap

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> 0688910
- release 2

* Fri Apr 02 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7de23a3
- updated to 2.3.21

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 7cfd9e2
- removed X11 from Group (X not used)

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> c2d0aea
- outdated

* Sat Feb 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> cd18dc9
- updated to 2.3.20
- removed -c_bindings.patch (applied upstream)
- more verbose files

* Sat Mar 31 2007 Szymon Siwek <sls@pld-linux.org> 407fc05
- added c_bindings.patch
- rel. 2

* Sat Mar 31 2007 Szymon Siwek <sls@pld-linux.org> 71954da
- kdelibs complains about undefined references to art_{realloc,alloc,free}

* Thu Mar 01 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a9196f0
- updated to 2.3.19

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3a54c2a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8a372d9
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> eb0792d
- rel 3

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 182debc
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 226aec8
- s/bcond_without static/bcond_without static_libs/

* Tue Jun 14 2005 witekfl <witekfl@pld-linux.org> a7dbbed
- added bcond_without static

* Tue May 03 2005 Paweł Sikora <pluto@pld-linux.org> 8eaf81a
- release 2 for Th.

* Sun Jan 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 20e59ea
- updated to 2.3.17, cosmetics

* Fri Mar 12 2004 Paweł Sikora <pluto@pld-linux.org> a3f23e0
- strict deps.

* Fri Nov 14 2003 Artur Frysiak <artur@frysiak.net> 787d4d3
- rebuild to fix paths in *.la file
- relase 2

